com.verisign.epp.codec.relateddomainext

## Class EPPRelatedDomainExtField

- java.lang.Object
- - com.verisign.epp.codec.relateddomainext.EPPRelatedDomainExtField

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRelatedDomainExtField
      extends java.lang.Object
      implements EPPCodecComponent

  EPPCodecComponent that encodes and decodes a tag

  Title: EPP 1.0 Related Domain - field tag

  Description: The EPPRelatedDomainExtField has two attributes. The inSync boolean attribute specifies whether or not the name attribute is in synchronized with the rest of the related domains in the family.
  As XML, it is represented by a element with two attributes: name and inSync

  Copyright: Copyright (c) 2013

  Company: VeriSign

  Version:
    1.0
  Author:
    nchigurupati
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRelatedDomainExtField()` `EPPRelatedDomainExtField` default constructor
    `EPPRelatedDomainExtField(java.lang.String aFieldName, boolean aInSync)` `EPPRelatedDomainExtField` constructor that accepts the name of the field and the boolean inSync attribute.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` A deep clone of the EPPRelatedDomainExtField
    `void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the EPPRelatedDomainExtField instance.
    `boolean` | `equals(java.lang.Object obj)` implements a deep `EPPRelatedDomainExtField` compare.
    `boolean` | `getInSync()` Returns the inSync attribute
    `java.lang.String` | `getName()` Returns the name of the filed
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `void` | `setInSync(boolean aInSync)` Sets inSync attribute
    `void` | `setName(java.lang.String aName)` Sets aName value to name attribute
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPRelatedDomainExtField

          public EPPRelatedDomainExtField()

      `EPPRelatedDomainExtField` default constructor

    - #### EPPRelatedDomainExtField

          public EPPRelatedDomainExtField(java.lang.String aFieldName,
                                          boolean aInSync)

      `EPPRelatedDomainExtField` constructor that accepts the name of the field and the boolean inSync attribute.
      Parameters:
        `aFieldName` - Name of the field
        `aInSync` - Boolean attribute that defines the field is synchronized across all of the related domains

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      A deep clone of the EPPRelatedDomainExtField
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPCodecComponent`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception
      See Also:
        `Object.clone()`

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Populate the data of this instance with the data stored in the given Element of the DOM tree
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - The root element of the report fragment of XML
      Throws:
        `EPPDecodeException` - Thrown if any errors occur during decoding.

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the EPPRelatedDomainExtField instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element - Root DOM Element representing the EPPDomainPeriod instance.
      Throws:
        `EPPEncodeException` - - Unable to encode EPPDomainPeriod instance.

    - #### equals

          public boolean equals(java.lang.Object obj)

      implements a deep `EPPRelatedDomainExtField` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - `EPPRelatedDomainExtField` instance to compare with
      Returns:
        true if the objects are equal

    - #### getInSync

          public boolean getInSync()

      Returns the inSync attribute
      Returns:
        the inSync attribute

    - #### getName

          public java.lang.String getName()

      Returns the name of the filed
      Returns:
        the name of the field

    - #### setInSync

          public void setInSync(boolean aInSync)

      Sets inSync attribute
      Parameters:
        `aInSync` - the inSync attribute to set

    - #### setName

          public void setName(java.lang.String aName)

      Sets aName value to name attribute
      Parameters:
        `aName` - the name of the field to set

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.